Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232025 - python-sqlite2 2.3.2-2 breaks apache
Summary: python-sqlite2 2.3.2-2 breaks apache
Keywords:
Status: CLOSED DUPLICATE of bug 231848
Alias: None
Product: Fedora
Classification: Fedora
Component: httpd
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-13 16:47 UTC by matthew fite
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-14 14:09:04 UTC


Attachments (Terms of Use)

Description matthew fite 2007-03-13 16:47:54 UTC
Description of problem:
dependency of python-sqlite2.x86_64 1:2.3.2-2.fc6 used by trac.noarch
0.10.3.1-1.fc6 and trac.noarch 0.10.3.1-2.fc6 introduced errors in apache behavior:

[/var/log/http/error_log:]
[Tue Mar 13 09:05:42 2007] [notice] Apache/2.2.3 (Fedora) configured -- resuming
normal operations
*** glibc detected *** /usr/sbin/httpd: double free or corruption (fasttop):
0x0000555555ff02a0 ***

removing (sudo yum remove python-sqlite2) causes behavior to go away.

release notes for python-sqlite2 (2.3.3) describes suspicious behavior and
fixes: http://initd.org/tracker/pysqlite/wiki/2.3.3_Changelog


Version-Release number of selected component (if applicable):
python-sqlite2.x86_64 1:2.3.2-2.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joe Orton 2007-03-14 14:09:04 UTC

*** This bug has been marked as a duplicate of 231848 ***


Note You need to log in before you can comment on or make changes to this bug.